Ask Your Question
0

Is ROS2 going to support Python 3 and C++14?

asked 2017-04-28 08:07:49 -0500

nbro gravatar image

updated 2017-04-28 08:09:59 -0500

My main question is in the title.

If these languages versions are not going to be supported, what are there the main reasons that prevent it from happening? What would be the libraries that are only supported for Python 2.7 and <=C++11 but not for the new versions of the programming languages, that the ROS team would like to include anyway in the system?

edit retag flag offensive close merge delete

Comments

Probably yes. See this github wiki: https://github.com/ros2/ros2/wiki

lakehanne gravatar imagelakehanne ( 2017-04-28 09:12:49 -0500 )edit

1 Answer

Sort by » oldest newest most voted
5

answered 2017-04-28 11:00:21 -0500

This page currently says the following:

C++ standard

The core of ROS 1 is targeting C++03 and doesn’t make use of C++11 features in its API. ROS 2 uses C++11 extensively and uses some parts from C++14. In the future ROS 2 might start using C++17 as long as it is supported on all major platforms.

Python

ROS 1 is targeting Python 2. ROS 2 requires at least Python version 3.5.

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

2 followers

Stats

Asked: 2017-04-28 08:07:49 -0500

Seen: 918 times

Last updated: Apr 28 '17